/* Reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth !important;
  text-decoration: none;

}

body, html {
  font-family: 'Montserrat', sans-serif;
  background-color: #0057b309;
}
/* _____________________________________________________________________________ */


/* Estilo do nav */
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #ffffff;
  color: rgb(4, 2, 121);
  padding: 10px 20px;
  position: relative;
}

nav .logo img {
  display: block;
}

nav #odara img{
width: 200px;
}

nav .icons i {
  margin: 0 10px;
  font-size: 18px;
  cursor: pointer;
  color: #010361;
}

nav .icons i:hover{
  color: rgb(204, 55, 10);
}

.icons{
  margin-left: 32%;
}
nav a{
  color: black;
}

nav .menu-toggle {
  display: none;
  flex-direction: column;
  gap: 5px;
  background: transparent;
  border: none;
  cursor: pointer;
  z-index:5 !important;
}

nav .menu-toggle span {
  display: block;
  width: 25px;
  height: 3px;
  background: rgb(1, 2, 95);
  
}

nav .nav-links {
  display: flex;
  list-style: none;
  gap: 20px;
  position: relative;
  z-index:5 !important;
}

nav .nav-links .dropdown {
  display: none;
  position: absolute;
  top: 100%;
  left: 22%; /* Ajuste o valor conforme necessário */
  background-color: #fefeff;
  list-style: none;
  padding: 10px;
  z-index: 10;
}

nav .nav-links .dropdown::before {
  content: '';
  position: absolute;
  top: -10px;
  left: 10px;
  border-width: 10px;
  border-style: solid;
  border-color: transparent transparent #444 transparent;
  z-index: 0;
}

nav .nav-links li:hover .dropdown {
  display: block;
}

nav .nav-links a {
  text-decoration: none;
  color: rgb(56, 55, 55);
  padding: 5px 10px;
}

.nav-links a:hover{
  color: rgb(255, 255, 255);
  border: 1px solid white;
  border-radius: 8px;
  background-color: #020466;
}
header {
  background: url('/imagens/cidade1\ -\ Copia.jpg') center/cover no-repeat;
  height: 450px;
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
  box-shadow: 0  10px 30px rgba(102, 57, 7, 0.822);

}

header::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 1;

}

header .header-content {
  position: relative;
  z-index: 2;
  text-align: center;
  color: white;
}



/* ________________Ícones de fundo azul______________________________________ */
.azul {
  margin-top:5%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: #001b48; /* Azul escuro */
  padding: 20px;
  color: white;
  text-align: center;
  flex-wrap: wrap; /* Permite que os elementos fiquem em linhas diferentes */
}

.azul .service {
  flex: 1; /* Cada item ocupa o mesmo espaço */
  margin: 10px;
  max-width: 150px; /* Largura máxima para evitar que fiquem muito largos */
}

.size{
  width:80px;
}

.azul .service i {
  font-size: 80px; /* Tamanho do ícone */
  color: white;
  margin-bottom: 10px;
}

.azul .service p {
  margin: 0;
  font-size: 14px;
  line-height: 1.5;
}

.azul .service strong {
  font-size: 16px;
  color: #ffffff;
}

/* ____________________________________________________________________________________________ */

.lista-servicos {
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
}

.lista-servicos > .lista-servicos-item {
  position: relative;
}

.main-link {
  color: #fff;
  text-decoration: none;
  border: none;
  border-radius: 5px;
  display: inline-block;
  transition: background-color 0.3s, color 0.3s;
  margin-left: 2%;
}

.main-link:hover {
  background-color: rgba(255, 255, 255, 0);
  color: #333;
}

.lista-servicos-links {
  list-style: none;
  position: absolute;
  top: 100%;
  left: 0;
  background-color: #505050d0;
  border: 1px solid #cccccc00;
  padding: 10px 0;
  display: none;
  width: 150px;
  z-index: 1000;
}

.lista-servicos-links li {
  padding: 5px 10px;
}

.lista-servicos-links li a {
  color: white;
  text-decoration: none;
  display: block;
  transition: background-color 0.3s;
}

.lista-servicos-links li a:hover {
  background-color: #fde61800;
}

.lista-servicos-item:hover .lista-servicos-links {
  display: block;
}

/* ----------Preloader--------------- */

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background-color: rgba(255, 255, 255, 0.979);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.loading{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  text-align: center;
  color: #000000;
  font-family: 'Dancing Script', cursive;
  font-size: 2em;
  padding-top:16%;
}

.circle {
  width: 20px;
  height: 20px;
  margin: 0 10px;
  background-color: #8d2e02;
  border-radius: 50%;
  border: 1px solid #fdfdfd;
  animation: wave 1.5s infinite ease-in-out;
}

.circle:nth-child(2) {
  animation-delay: 0.3s;
}

.circle:nth-child(3) {
  animation-delay: 0.6s;
}

@keyframes wave {
  0%, 100% {
    transform: translateY(0);
    opacity: 1;
  }
  50% {
    transform: translateY(-20px);
    opacity: 0.7;
  }
}

/* -------------------- Saiba mais - Conheça os nossos serviços-----------------------------------------------                       --> */ */

.services {
  padding: 20px;
  border: none;
}

.services-container {
  border: none;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
  background-color: #001b48;
}

.service-box {
  background-color: white;
  position: relative;
  width: 400px;
  height: 360px;
  overflow: hidden;
  border-radius: 8px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.26);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.service-box:hover {
  transform: translateY(-10px);
  box-shadow: 0 8px 20px rgba(8, 8, 8, 0.267);
}

.service-box img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  filter: brightness(70%);
  transition: filter 0.3s ease;
}

.service-box:hover img {
  filter: brightness(50%);
}

.service-content {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  text-align: center;
  color: #3d3c3c00;
}

.our{
  padding-bottom: 4%;
}

.service-content h3 {
  font-size: 18px;
  font-weight: 700;
  margin-bottom: 10px;
  z-index: 1;
  color: #fdfcfc;
}

.service-content p {
  font-size: 14px;
  margin-bottom: 10px;
  color: #ffffff;
}

.service-content a {
  display: inline-block;
  padding: 8px 15px;
  border: 2px solid #fff;
  border-radius: 5px;
  color: #fff;
  font-weight: 500;
  text-transform: uppercase;
  transition: background-color 0.3s ease, color 0.3s ease;
}

.service-content a:hover {
  background-color: #fff;
  color: #333;
}

@media (max-width: 768px) {
  .services-container {
    flex-direction: column;
    align-items: center;
  }

  .service-box {
    width: 90%;
  }
}
/* ------------------missão visão e valores--------- */
.mission-vision-values {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;
  padding: 40px 20px;
}

/* Estilos das seções */
.section2 {
  background-color: #f8f5f5;
  color: #312f2f;
  border-radius: 8px;
  padding: 30px;
  margin: 30px 22px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

/* Efeito de aproximação ao passar o mouse */
.section2:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

  /* Estilização da section com fundo semi-transparente */
  .header-background {
    position: absolute;
    border: 1px solid black;
    border-radius: 12px;
    top: 38%;
    left: 15%;
    width: 73%;
    height: 30%;
    background: rgba(25, 25, 34, 0.788); 
    z-index: 0; 
}

/* Ajustes no conteúdo do header */
.header-content {
    position: relative;
    z-index: 1; /
}

/* Estilização do título (já fornecido) */
.header-title {
    font-family: 'Abril Fatface', serif; 
    animation: subirSuavemente 2s ease-out forwards;
    color: rgb(255, 255, 255);
    text-align: center;
    font-size: 2.4em;
    margin-top: 4%;
    z-index: 1;
    position: relative;
    text-shadow: 
    -1px -1px 0px rgb(0, 0, 0), /* Sombra para cima à esquerda */
     1px -1px 0px rgb(0, 0, 0), /* Sombra para cima à direita */
    -1px  1px 0px rgb(0, 0, 0), /* Sombra para baixo à esquerda */
     1px  1px 0px rgb(3, 3, 3); /* Sombra para baixo à direita */
}

/* Animação para o título */
@keyframes subirSuavemente {
    from {
        transform: translateY(20px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

/* -------------------------------------Outras configs------------------------------------------------------ */

/* Estilo do botão de rolagem pra baixo */

.scroll-button {
  position: absolute;
  bottom: 60px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #001b48;
  border: none;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  transition: background-color 0.3s ease;
  z-index: 1;
}

.scroll-button i {
  font-size: 1.5em;
  color: #fffefe;
}

.scroll-button:hover {
  background-color: rgba(196, 177, 8, 0.562);
}


/* Animação suave para o H1 */
@keyframes subirSuavemente {
  0% {
      transform: translateY(100px); /* Começa abaixo */
      opacity: 0; /* Invisível no início */
  }
  100% {
      transform: translateY(0); /* Fica na posição original */
      opacity: 1; /* Totalmente visível */
  }
}

/* ---------------------------------------Botão de rolagem para o topo ---------------------------------------*/

.scroll-top-button {
  position: fixed;
  bottom: 100px;
  right: 27px;
  width: 50px;
  height: 50px;
  background-color: rgba(6, 21, 160, 0.979);
  border: none;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  cursor: pointer;
  box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
  transition: opacity 0.3s ease;
  opacity: 0; /* Escondido inicialmente */
  visibility: hidden; /* Invisível inicialmente */
}

.scroll-top-button i {
  font-size: 1.5em;
  color: white;
  z-index: 1;
  cursor: pointer;
}

/* Aparece quando visível */
.scroll-top-button.show {
  opacity: 1;
  visibility: visible;
}

/* ------------------------Transições das logos--------------------------------- */
.logo-slider-container {
  margin-top: 12px;
  padding: 54px;
  background-color: #0B1648;
  overflow: hidden; /* Para esconder as logos fora da visualização */
  position: relative;
}

.logo-slider {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 250px;
  animation: slide 30s linear infinite;
}

.logo-slider img {
  max-width: 190px;
  display: block;
  margin: 0 auto;
}

@keyframes slide {
  0% {
      transform: translateX(0);
  }
  100% {
      transform: translateX(-200%);
  }
}

/* Estilo para seções adicionais */
main section {
  padding: 40px 20px;
  text-align: center;
}

.parceiros {
  display: flex;
  justify-content: center;
  margin: 12px;
  padding: 2px;
  gap: 30px;
}

.text-center {
  text-align: center;
}

/* Estilo para o container */
.container {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  gap: 20px;
  padding: 20px;
}

/* Estilo para o conteúdo */
.SEO {
  width: 60%; 
  padding-top: 23px;
  flex: 1;
  text-align: justify;
  font-family: 'Playfair Display', serif; 
}

.itens{
  font-size:1.2em;
  padding: 15px;
  padding-left: 23px;
  flex: 1;
  text-align: justify;
  font-family: 'Playfair Display', serif; 
}

.h1{
  font-family: 'Playfair Display', serif;
  font-size: 1.8em;
}

p{
  padding: 12px;
}

.blog-subpost{
  padding: 65px;
  font-size: 1.8em;
  font-family: 'Playfair Display', serif; 
}

.SEO2 {
  padding: 12px;
  flex: 1;
  text-align: justify;
}

.image {
  margin-top: 27%;
  width: 35%; 
  margin-left: 20px;
  margin-right: 20px;
}

.image img {
  max-width: 120%;
  height: auto;
  border: 1px solid #ccc;
  border-radius: 5px;
}

/* -------------------Configuração do blog---------------------------------- */

.blog{

  background-image: url('/imagens/paris-neve.jpg'); 
  background-size: cover; 
  background-position: center;
  background-attachment: fixed; 
  background-repeat: no-repeat; 

  background-color: rgba(255, 255, 255, 0.8); 
  border-radius: 8px;

  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  gap: 87px;
  padding: 43px;
}

.box {
  flex: 1 1 22%; /* Cada div ocupará 22% da largura, ajustando para 4 por linha */
  min-width: 200px; /* Largura mínima para manter o layout */
  padding: 20px;
  background-color: #f0f0f0;
  text-align: center;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}


.map-color {
  position: relative;
  width: 100%;
  overflow: hidden;
}


/* Estilização do vídeo como fundo */
.video-background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  overflow: hidden;
}

.video-iframe {
  width: 100vw;
  height: 100vh;
  object-fit: cover;
  pointer-events: none; /* Evita que o vídeo interfira na interação */
}

/* Overlay com blur e filtro azul escuro */
.overlay {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 50, 0.712); 
  backdrop-filter: blur(8px); 
  z-index: 1;
}


.lista {
  font-size: 16pt;
}

/* Estilo para a seção de contato e mapa */
.contact-map {
  display: flex;
  gap: 90px;
  padding: 20px;
  flex-direction: row;
}

/* Estilo para o formulário de contato */
.contact-form {
  position: relative;
  z-index: 2;
  padding: 20px;
  color: white;
}

.contact-form h2 {
  margin-bottom: 39px;
}

p{
    font-size: 23px;
}
.AFILIADOS{
  padding-bottom: -15%;
  font-variant: small-caps;
  text-align: center;
  font-size: 1.67em;
}

#know:hover{
  text-decoration: blanchedalmond;
}

/* -------------------------Estilo - POPUP---------------------------------- */

/* Estilo geral para o popup */
.popup {
  position: fixed;
  bottom: 30%;
  left: 50%;
  transform: translateX(-50%);
  width: 90%;
  max-width: 100vh;
  background-color: #ffffff;
  color: #000000;
  padding: 20px;
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
  display: none; /* Escondido por padrão */
  z-index: 999;
  text-align: center;
  font-family: Arial, sans-serif;
}

.popup a {
  color: #060499;
  text-decoration: none;
  font-weight: bold;
}

.popup a:hover {
  color: #010105;
  text-decoration: underline;
}

.popup button {
  margin-top: 10px;
  background-color: #b85527;
  color: #fff;
  border: none;
  padding: 10px 20px;
  border-radius: 5px;
  cursor: pointer;
}

.popup button:hover {
  color: #05088d;
  background-color: #e2cd0a;
  border: 1px solid #00000091;
  
}

/* Container das postagens */

.instagram-posts {
  justify-content: center;
  display: grid;
  gap: 20px;
  padding-left: 10px;
  width: 100%;
  max-width: 1200px;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
}
/* Estilo das postagens */

.Pacotes{
  cursor: pointer;
}
a:hover{
  text-decoration: none;
}
.post {
  margin: 0 auto;
  background-color: #fff;
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  overflow: hidden;
  transition: transform 0.3s;
}

.post img {
  width: 100%;
  height: auto;
}

.post p {
  padding: 15px;
  text-align: center;
  color: #333;
}

/* Efeito ao passar o mouse */
.post:hover {
  transform: scale(1.05);
}

/*Link da Promoções do Instagram*/

.promo{
  text-align: center;
  font-size: 23px;
  color: #850909;
  cursor: pointer;
  text-decoration: underline;
  margin-bottom: 9%;
}

.promo:hover{
  color: #05088d;
  text-decoration: none;
}

.Vantagens{
  font-size: 2.9em;
  padding-bottom: 29px;
  text-align: center;
}

.advantage {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.info-box {
  background-color: #f5f5f500;
  border: none;
  border-radius: 8px;
  padding: 0px;
  text-align: center  ;
  width: calc(33.333% - 50px); /* Três colunas no layout padrão */
  margin: 10px;
  transition: transform 0.3s ease; /* Transição suave para o efeito de escala */
}

.info-box i {
  font-size: 40px;
  color: #001b48;
  margin-bottom: 10px;
}

.info-box h3 {
  font-size: 20px;
  margin: 10px 0;
}

.info-box p {
  font-size: 16px;
  color: #666;
}

#contato{
  font-variant: small-caps;
  font-size: 2.68em;
  padding-bottom: 39px;
  text-align: center;
}

.viagem{
  text-align: center;
  font-variant: small-caps;
  font-weight:bolder;
  font-size: 1.8em;
}
.whatsapp-float {
  position: fixed;
  bottom: 20px;
  right: 20px;
  width: 60px;
  height: 60px;
  background-color: #25d366;
  color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 10;
  transition: opacity 0.3s, visibility 0.3s;
}

.whatsapp-float:hover {
  background-color: #20b954;
  transform: scale(1.1);
  transition: transform 0.2s, background-color 0.2s;
  display: pointer;
}

/* ------------------------Seta para voltar para o topo------------------------------------ */

.scroll-to-top {
  position: fixed;
  bottom: 150px; 
  right: 20px;
  width: 60px;
  height: 60px;
  background-color: #007bff; /* Cor azul */
  color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 30px;
  box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
  z-index: 10;
  transition: opacity 0.3s, visibility 0.3s;
}


.scroll-to-top:hover {
  background-color: #0057b373; 
}

/* --Estilo Dropdown------ */
.recipe {
  max-width: 800px;
  margin: 30px auto;
  padding: 10px;
}

.content1{
  text-align: left;
}

.conteudo{
  font-family: Arial, Helvetica, sans-serif;
  text-align:  justify;
  padding: 0 0 35px;
  font-size: 1.3em;  
}

.cont{
  padding: 23px;
  font-size: 1.3em;
}

.spaces{
  font-size: 1.3em;  
  padding: 12px;   
}

.dropdown {
  margin-bottom: 15px;
  border: 1px solid #ccc;
  border-radius: 5px;
  overflow: hidden;
}

.dropdown-header {
  background-color: #555;
  color: white;
  cursor: pointer;
  padding: 15px;
  font-size: 18px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.dropdown-content {
  display: none;
  padding: 15px;
  background-color: white;
  border-top: 1px solid #ccc;
}

.dropdown.open .dropdown-content {
  display: block;
}


.arrow {
  transition: transform 0.3s;
}

.open .arrow {
  transform: rotate(180deg);
}

.lista {
  font-size: 16pt;
}


/* Estilo para o mapa */
.map {
  margin-top: 20px;
}

.map iframe {
  display: flex;
  border: 0;
  width: 99%;
  height: 450px;
  text-align: left;
}

.link-contato{
  color: white;

}

.footer {
  background-color: #8b2d07; 
  color: #fff;
  padding: 20px;
}

.footer-section {
  display: flex;
  justify-content: center;
  align-items: center;
  position: relative;
  flex-wrap: wrap;
}

.footer-logo {
  position: absolute;
  left: 20px;
}

.footer-logo img {
  width: 100px;
}

.footer-links {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;
}

.footer-links a {
  color: #fff;
  text-decoration: none;
  font-size: 16px;
}

.footer-links a:hover {
  color: #1e90ff; 
}

.footer-links i {
  margin-right: 5px;
}

.footer-copy {
  text-align: center;
  margin-top: 20px;
  font-size: 2em;
  color: #ccc;
}
/* ----------Configs da section da cotação de moedas do turismo----- */
.currency-rates {
  text-align: center;
  margin: 20px 0;
}

#currency-form select,
#currency-form button {
  padding: 10px;
  margin: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
}

#currency-form button {
  background-color: #001b48;
}

#currency-form button:hover {
  background-color: #0056b3;
}

.hidden {
  display: none;
}

.error {
  color: red;
  font-size: 14px;
  margin-top: 10px;
}


/* Estilos básicos */
.informations{
  padding-top: 6%;
  text-align: center;
}
.info-sections {
  background-image: url('/imagens/tempo\ e\ dinheiro.jpg');
  background-position: center;
  background-size:cover ;
  padding: 12px;
  padding-top: 2%;
  display: flex;
  flex-wrap: wrap; 
  justify-content: space-between; 
  gap: 20px; 
  margin: 20px 0;
}

.info-sections > section {
  flex: 1; 
  min-width: 300px; 
  border: 1px solid #ddd;
  border-radius: 8px;
  box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
  background-color: #f9f9f9;
}

/* Títulos */
.info-sections h2 {
  font-size: 1.5rem;
  margin-bottom: 15px;
  color: #333;
}

/* Estilo para formulários */
.info-sections form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.info-sections button {
  padding: 10px 15px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 5px;
  cursor: pointer;
  font-size: 1rem;
}

.info-sections button:hover {
  background-color: #0056b3;
}

/* -------Configs da section da temperatura(API)------------ */
.tempo {
  text-align: center;
  margin: 20px 0;
  /* background-image: url('/imagens/clima.jpg');
  background-position:center;
  background-size: cover; */

}

.clima{
  color: white;
  text-shadow: 
  -1px -1px 0px #000, /* Sombra para cima à esquerda */
   1px -1px 0px #000, /* Sombra para cima à direita */
  -1px  1px 0px #000, /* Sombra para baixo à esquerda */
   1px  1px 0px #000; /* Sombra para baixo à direita */
}


#weather-form input {
  padding: 10px;
  width: 80%;
  max-width: 300px;
  margin-bottom: 10px;
  border: 1px solid #ddd;
  border-radius: 5px;
}

#weather-form button {
  padding: 10px 20px;
  background-color: #001b48;
  color: #fff;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

#weather-form button:hover {
  background-color: #0056b3;
}

#weather-result {
  margin-top: 20px;
}

.hidden {
  display: none;
}

.error {
  color: red;
  font-size: 14px;
  margin-top: 10px;
}
/*--------------------- Responsividade------------------------- */
@media (min-width:601px) and (max-width: 868px) {
  .azul {
    justify-content: center; 
  }
  
  .azul .service {
    max-width: 120px;/
  }

nav .menu-toggle {
    display: flex;
}

nav .nav-links {
    display: none;
    flex-direction: column;
    background-color: #fdfdfd;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
}

nav .nav-links.show {
    display: flex;
}

nav .nav-links .dropdown {
    position: static;
    background-color: transparent;
    box-shadow: none;
    left: 0;
}

.nav .nav-links a{
  color: black;
}
  
  .loading{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    text-align: center;
    color: #000000;
    font-family: 'Dancing Script', cursive;
    padding-top:48%;
  }

  header{
    height: 300px;
  }

  .header-title{
    font-size: 1.4em;
    margin-top: 9%;
  }


  .logo-slider{
  gap: 270px;
  animation: slide 40s linear infinite;
  }

  .logo-section-img{
    max-width: 150px;
    display: block;
    margin: 0 auto;
  }
  
  @keyframes slide {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(-500%);
    }
  }

  .header-content {
      justify-content: space-between;
  }
  .container {
    display: block; 
    text-align: center; 
  }

  .SEO {
    width: 100%; 
  }

  .image{
    margin-top: -1%;
    padding-bottom: 4%;
    width: 100%; 
  }

  .scroll-button {
    bottom: 70px;
  }
  .instagram-posts {
    justify-content: center;
    display: grid;
    gap: 20px;
    padding-left: 50px;
    width: 100%;
    max-width: 1200px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }

.box {
  width: 95% !important; 
  margin: 10px auto !important; 
  
  }
  .contact-map {
  flex-direction: column !important ; 
  }
  
  .map {
  order: 2 !important;
  }
  
  .contact-form {
  order: 1;
  }

  .viagem{
  font-size: 2.12em;
  padding-top: 12%;
  padding-bottom: 14px;
  }
  
  .Vantagens{
  font-size: 1.9em;
  padding: 0;
  }  
  .blog-subpost{
    margin-top: -12%;
    margin-bottom: 1%;
    font-size: 2.12em;
  
  }
  #contato{
    font-size: 2.12em;
  }

  .footer-section {
    justify-content: center;
  }

  .footer-links {
    flex-direction: row;
    gap: 20px;
  }

  .footer-copy {
    margin-top: 10px;
    font-size: 12px;  
  }
    .info-sections {
      flex-direction: column;
      gap: 10px; 
    }
  .info-sections > section {
      width: 100%; 
  }

  }

@media (min-width:320px) and (max-width:600px){
  .loading{
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    text-align: center;
    color: #000000;
    font-family: 'Dancing Script', cursive;
    padding-top:60%;
  }

nav .menu-toggle {
    display: flex;
}

nav .nav-links {
    display: none;
    flex-direction: column;
    background-color: #ffffff;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
}

nav .nav-links.show {
    display: flex;
}

nav .nav-links .dropdown {
    position: static;
    background-color: transparent;
    box-shadow: none;
    left: 0;
}
.header-background {
  position: absolute;
  border: 1px solid black;
  border-radius: 12px;
  top: 39%;
  left: 6%;
  width: 90%;
  height: 30%;
  background: rgba(25, 25, 34, 0.788); 
  z-index: 0; 
}

header{
  height: 300px;
}

.logo{
width: 1px;
}

.azul {
  flex-direction: column; /* Empilha os itens */
  align-items: center; /* Centraliza os itens */
}

.azul .service {
  max-width: 100%; /* Ocupa toda a largura */
  text-align: center; /* Centraliza o texto */
}

.azul .service i {
  font-size: 30px; /* Reduz o tamanho do ícone */
}

.azul .service p {
  font-size: 12px; /* Reduz o tamanho do texto */
}

.azul .service strong {
  font-size: 14px; /* Reduz o tamanho do texto destacado */
} 

/* ------------Serviços Ícone------------------- */
.lista-servicos {
  font-variant: small-caps;
  list-style-type: none;
  margin: 0;
  padding: 0;
  display: flex;
}

.main-link {
  margin-right: 12%;
  color: #fff;
  text-decoration: none;
  border: none;
  border-radius: 5px;
  display: inline-block;
  transition: background-color 0.3s, color 0.3s;
}

/* -------------------------------------------------- */
.menu a{
  padding-bottom:19px;
  color: #000;
}

.menu.show {
  display: flex;
}

.header-content {
  justify-content: space-between;
}

  .social-icons {
    font-size: 12px !important;
    margin-left: 40%;
    display: flex;
    align-items: center;
  }
  .header-title{
    font-size: 1.46em;
    margin-top:7%;
  }

  .scroll-button {
    display: none;
    width: 30px;
    height: 30px;
    bottom: 50px;
  }

  .logo-slider{
    gap: 270px;
  animation: slide 30s linear infinite;
  }

  .logo-section-img{
    width: 40px !important;
    max-width: 190px;
    display: block;
    margin: 0 auto;
  }

  .container {
    display: block; 
    text-align: center; 
  }

  .SEO, .image {
    width: 100%; 
  }

  .image {
    margin-top: 20px;
  }

  .instagram-posts{
    padding-left: 29%;
    padding-right: 29%;
  }
  .instagram-posts .post {
    width: 100%; /* Exibe cada post em uma linha */
}
.advantage {
  flex-direction: column;
  align-items: center;
}

.info-box {
  width: 100%;
  margin-bottom: 15px;
}

.blog{
width: 95% !important;
}

.box {
width: 95% !important; 
margin: 10px auto !important; 

}
.contact-map {
flex-direction: column; 
}

.map {
order: 2; /* Coloca o mapa no final */
}

.contact-form {
order: 1; /* Coloca o formulário acima */
}

.viagem{
  font-size: 2.12em;
  padding-top: 12%;
  padding-bottom: 14px;
}

.Vantagens{
  font-size: 1.9em;
  padding: 0;
}

.blog-subpost{
  margin-top: -19%;
  margin-bottom: 1%;
  font-size: 2.12em;
}

#contato{
  font-size: 2.12em;
}
.AFILIADOS{
  font-size: 1.5em;

}

.logo-slider-container {
  padding: 30px;
  overflow: hidden; /* Para esconder as logos fora da visualização */
  position: relative;
}

.logo-slider {
  display: flex;
  justify-content: space-around;
  align-items: center;
  gap: 120px;
  animation: slide 50s linear infinite;
}

@keyframes slide {
  0% {
      transform: translateX(0);
  }
  100% {
      transform: translateX(-680%);
  } 
}

.footer-logo{
  padding-right: 32%;
}

 .footer-section {
    justify-content: center;
  }

  .footer-links {
    
    flex-direction: grid;
    gap: 20px;
  }

  .footer-copy {
    margin-top: 10px;
    font-size: 12px;
  }

  .info-sections {
    flex-direction: column; /* Empilha as sections */
    gap: 10px; /* Reduz o espaçamento entre os elementos */
}

.info-sections > section {
    width: 100%; /* Cada section ocupa toda a largura */
}
.currency-rates {
  text-align: right;
  margin: 20px 0;
}
.tempo{
  text-align: left;
}
}

@media (min-width: 1020px) and (max-width:1024px){

  .instagram-posts {
    justify-content: center;
    display: grid;
    gap: 12px;
    padding-left: 50px;
    width: 100%;
    max-width: 1200px;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  }
}

@media (min-width: 1340px) {
  .instagram-posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* Altera o layout para 3 colunas */
    gap: 30px;
    max-width: 1200px; /* Define a largura máxima */
    margin: 0 auto; /* Centraliza o conteúdo */
  }

  .blog {
    max-width: 1200px; /* Define a largura máxima */
    margin: 0 auto; /* Centraliza o conteúdo */
    gap: 30px; /* Ajusta o espaçamento entre os elementos */
    padding: 40px; /* Ajusta o padding */
  }

  .box {
    flex: 1 1 calc(33.33% - 30px); /* Ajusta para 3 elementos por linha */
    max-width: 300px; /* Define uma largura máxima */
    margin: 0 auto; /* Centraliza cada box */
  }
  .map iframe, 
.contact-map.right iframe {
    width: 100%;
    height: 100%; /* Ajuste conforme necessário para o design */
    border: none; /* Remove bordas do iframe */
}

}
